#ifndef BUG_H
#define BUG_H

#include "entity.h"

namespace pabloader {
class Bug : public Entity {
    friend class BugParticle;
public:
    Bug(Debuggers* game);
};

class BugParticle: public Entity {
public:
    BugParticle(Debuggers* game);
    void ResetParticle(Bug* bug, uint8_t index);
};

}

#endif